module Cagnut
  module Cli
    module NewProject
      module Draw

        def actgun_pipeline_draw_root
          CagnutPipelineDraw.root.join('templates')
        end

        def copy_draw_tools_config folder
          draw_tools_yml = File.join(actgun_pipeline_draw_root, 'draw_tools.yml')
          copy_file "#{draw_tools_yml}", "#{folder}/draw_tools.yml"
        end

        def draw_pipeline_dependency_gems
          %W(
            'cagnut_core'
            'cagnut_bwa'
            'cagnut_gatk'
            'cagnut_samtools'
            'cagnut_picard'
            'cagnut_snpeff'
            'cagnut_toolbox'
          )
        end

      end
    end
  end
end

Cagnut::NewProject.prepend Cagnut::Cli::NewProject::Draw
